Skip to content

Exchange session_token for sso_ticket API

When exchanging for user information, first call this API to exchange the session_token for an sso_ticket.

Request Description

http
POST https://{your_domain}/api/v2/tenant/sso/session-token/sso-ticket

Request Example

json
{
  "session_token":"iJKVWQVfFvIQWffsTlSxTf02MV3dpITu",
  "operating_sys_version":"windows10.1.1",
  "device_ip":"192.168.1.1",
  "device_fingerprint":"156aysdna213sac",
  "agent":"agent:Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.82 Safari/537.36",
  "client_id":"9fIHl3Dc9ivToWLVtblrF6Sjv9Fx47JJ"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
session_tokenUser token returned after loginYesStringThe session_token after user login, used to exchange for a new session_token
X-operating-sys-versionCaller OS versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent infoYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
client_idApplication authorization IDNoString9fIHl3Dc9ivToWLVtblrF6Sjv9Fx47JJ

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "expire":300,
    "sso_ticket":"cd7UWXGMj2jtjLrjr9NxfOA50xIQ5yjn",
}

Response Parameters

Parameter NameNameTypeDescription
expireExpiration timeNumber
sso_ticketOne-time ticketStringExchange the session_token after user login for a one-time access ticket sso_ticket, which can be exchanged for user information

BambooCloud IDaaS Open Platform